function new_32_4003
fid=fopen('new_32_4003.bin','r','b');
X=fread(fid,'double');
fclose(fid);

ind=951:13204;
X=reshape(X,[20 numel(X)/20])';
X=X(ind,:);

ADCS_IMU_Acc_X=X(:,1);
ADCS_IMU_Acc_Y=X(:,2);
ADCS_IMU_Acc_Z=X(:,3);
ADCS_IMU_Gyro_X=X(:,4);
ADCS_IMU_Gyro_Y=X(:,5);
ADCS_IMU_Gyro_Z=X(:,6);
ADCS_IMU_Mag_X=X(:,7);
ADCS_IMU_Mag_Y=X(:,8);
ADCS_IMU_Mag_Z=X(:,9);
ADCS_SS1_AVG_0=X(:,10);
ADCS_SS1_AVG_1=X(:,11);
ADCS_SS1_AVG_2=X(:,12);
ADCS_SS1_AVG_3=X(:,13);
ADCS_SS1_Angle=X(:,14);
ADCS_SS2_AVG_0=X(:,15);
ADCS_SS2_AVG_1=X(:,16);
ADCS_SS2_AVG_2=X(:,17);
ADCS_SS2_AVG_3=X(:,18);
ADCS_SS2_Angle=X(:,19);
time=X(:,20);

ux=unique(ADCS_SS1_Angle');
uy=unique(ADCS_SS2_Angle');

cel=cell(0,1);
for c1=1:length(ux)
  for c2=1:length(uy)
    fnd=find(ADCS_SS1_Angle==ux(c1) & ADCS_SS2_Angle==uy(c2))+9;
    fnd(find(length(ADCS_SS1_AVG_0)<fnd))=[];
    
    row=[
      ux(c1)
      uy(c2)
      mean(ADCS_SS1_AVG_0(fnd))
      mean(ADCS_SS1_AVG_1(fnd))
      mean(ADCS_SS1_AVG_2(fnd))
      mean(ADCS_SS1_AVG_3(fnd))
      mean(ADCS_SS2_AVG_0(fnd))
      mean(ADCS_SS2_AVG_1(fnd))
      mean(ADCS_SS2_AVG_2(fnd))
      mean(ADCS_SS2_AVG_3(fnd))
    ]';
    cel{end+1,1}=row;
  end
end

cel=cell2mat(cel);

csvwrite('new_32_4003.csv',cel);
