function slow32000_load
fid=fopen('slow32000.bin','r','b');
X=fread(fid,'double');
fclose(fid);

ind=522:11540;
X=reshape(X,[15 numel(X)/15])';
X=X(ind,:);

ADCS_SS1_AVG_0=X(:,1);
ADCS_SS1_AVG_1=X(:,2);
ADCS_SS1_AVG_2=X(:,3);
ADCS_SS1_AVG_3=X(:,4);
ADCS_SS1_Angle=X(:,5);
ADCS_SS2_AVG_0=X(:,6);
ADCS_SS2_AVG_1=X(:,7);
ADCS_SS2_AVG_2=X(:,8);
ADCS_SS2_AVG_3=X(:,9);
ADCS_SS2_Angle=X(:,10);
ADCS_SSC_AVG_4=X(:,11);
ADCS_SSC_AVG_5=X(:,12);
ADCS_SSC_AVG_6=X(:,13);
ADCS_SSC_AVG_7=X(:,14);
time=X(:,15);

ux=unique(ADCS_SS1_Angle');
uy=unique(ADCS_SS2_Angle');

cel=cell(0,1);
for c1=1:length(ux)
  for c2=1:length(uy)  
    fnd=find(ADCS_SS1_Angle==ux(c1) & ADCS_SS2_Angle==uy(c2))+4;
    fnd(find(length(ADCS_SS1_AVG_0)<fnd))=[];
    
    row=[
      ux(c1)
      uy(c2)
      mean(ADCS_SS1_AVG_0(fnd))
      mean(ADCS_SS1_AVG_1(fnd))
      mean(ADCS_SS1_AVG_2(fnd))
      mean(ADCS_SS1_AVG_3(fnd))
      mean(ADCS_SS2_AVG_0(fnd))
      mean(ADCS_SS2_AVG_1(fnd))
      mean(ADCS_SS2_AVG_2(fnd))
      mean(ADCS_SS2_AVG_3(fnd))
    ]';
    cel{end+1,1}=row;
  end
end

cel=cell2mat(cel);

csvwrite('slow32000.csv',cel);
